Package com.documentum.registry

# Interface IDfLocalObject

All Superinterfaces:
  `IDfClientRegistryObject`

public interface IDfLocalObject extends IDfClientRegistryObject
IDfLocalObject represents a Desktop Client local file. Local files are available for offline viewing and editing.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChronicleId()`
  Returns the chronicle ID of the registered object.
  `String`
  `getDocbaseObjectModified()`
  Returns the date/ time stamp of the last modification time for the local object.
  `String`
  `getLocalFileCreated()`
  Returns the date / time when the object was registered as a local file.
  `String`
  `getUserName()`
  Returns the user name of the user who registered this local file.
  `String`
  `getVersion()`
  Returns the implict version label of the object (e.g. 1.2)
  `void`
  `setChronicleId(String chronicleId)`
  Sets the chronicle ID of the object
  `void`
  `setDocbaseObjectModified(String docbaseObjectModified)`
  Sets the date the docbase object was last modified
  `void`
  `setLocalFileCreated(String localFileCreated)`
  Sets the date and time the object was opened as a local file
  `void`
  `setUserName(String userName)`
  Sets the full user name of the user
  `void`
  `setVersion(String version)`
  Sets the version label of the object

  ### Methods inherited from interface com.documentum.registry.IDfClientRegistryObject

  `getContentIdentifier, getDocbaseId, getDocbaseName, getDocbroker, getDomainName, getFilePath, getFolderPath, getFormat, getFormatDescription, getObjectId, getObjectName, getResourceForkIdentifier, getTitle, getType, getUser, getVStamp, isDirty, loadFromRegistry, setContentIdentifier, setDocbaseId, setDocbaseName, setDocbroker, setDomainName, setFilePath, setFolderPath, setFormat, setFormatDescription, setObjectId, setObjectName, setResourceForkIdentifier, setTitle, setType, setUser, setVStamp, updateRegistry`

- ## Method Details

  - ### setChronicleId

    void setChronicleId(String chronicleId)
    Sets the chronicle ID of the object
    Parameters:
      `chronicleId` - chronicle ID of the object

  - ### getChronicleId

    String getChronicleId()
    Returns the chronicle ID of the registered object.
    Returns:
      the chronicle ID of the object

  - ### setDocbaseObjectModified

    void setDocbaseObjectModified(String docbaseObjectModified)
    Sets the date the docbase object was last modified
    Parameters:
      `docbaseObjectModified` - date and time

  - ### getDocbaseObjectModified

    String getDocbaseObjectModified()
    Returns the date/ time stamp of the last modification time for the local object.
    Returns:
      the date and time the docbase object was last modified

  - ### setUserName

    void setUserName(String userName)
    Sets the full user name of the user
    Parameters:
      `userName` - the full user name of the user

  - ### getUserName

    String getUserName()
    Returns the user name of the user who registered this local file.
    Returns:
      the full user name of the user associated with this file

  - ### setLocalFileCreated

    void setLocalFileCreated(String localFileCreated)
    Sets the date and time the object was opened as a local file
    Parameters:
      `localFileCreated` - the date and time

  - ### getLocalFileCreated

    String getLocalFileCreated()
    Returns the date / time when the object was registered as a local file.
    Returns:
      the date and time the object was opened as a local file

  - ### setVersion

    void setVersion(String version)
    Sets the version label of the object
    Parameters:
      `version` - the version label of the object

  - ### getVersion

    String getVersion()
    Returns the implict version label of the object (e.g. 1.2)
    Returns:
      the version label of the object